Bug 120841 - Coyote HTTP/1.1 connector throws SocketExceptions
Coyote HTTP/1.1 connector throws SocketExceptions
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: tomcat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 09:50 EDT by Gary Benson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.27-14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-11 11:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Benson 2004-04-14 09:50:32 EDT
After a while, tomcat starts refusing requests and filling tomcat.out
with backtraces (java.net.SocketException: Too many open files) when
using the Coyote HTTP/1.1 connector.  Presumably it is leaking sockets
somewhere.

Version-Release number of selected component (if applicable):
tomcat-4.1.27-11

How reproducible:
Always

Steps to Reproduce:
1. Start your tomcat server.
2. ab -n 10000 -c 50 http://h:p/examples/servlet/RequestInfoExample
3. Watch it die. Horribly.
  
Actual results:
ApacheBench completes its test.

Expected results:
apr_recv: Connection reset by peer (104)
Total of $something_like_1000 requests completed

Additional info:
Use the AJP connector and mod_jk2 to work around this problem.
Comment 1 Oliver Falk 2004-04-14 10:23:16 EDT
Same for me. I can only tell, that my Fedora installation is up 2 
date....

Note You need to log in before you can comment on or make changes to this bug.